:root {
  --clr-primary: #8abef7;
  --clr-secondary: #cc9966;
  --clr-light: #f5f5f5;
  --clr-dark: #0a0a0a;
  --clr-accent: #66cccc;

  --foreground: var(--clr-dark);
  --background: var(--clr-light);
  --nav-height: 80px;
}

/* .darkmode {
  --foreground: var(--clr-light);
  --background: var(--clr-dark);
} */

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  font-size: 1.125rem;
  line-height: 1.5;
  color: var(--foreground);
  /* background-color: var(--background); */
}

.name {
  margin: 0 0;
  display: flex;
  text-align: center;
  /* align-items: baseline; */
  cursor: pointer;
  text-decoration: none;
  color: var(--foreground);
}

.name h1 {
  margin: 0;
}

.name-letter {
  transition: transform 80ms ease-in-out;
}

main {
  width: min(900px, 100% - 20px);
  /* display: grid; */
  margin-inline: auto;
  padding-top: 60px;
}

img,
svg,
video {
  max-width: 100%;
  display: block;
}

/*  nav styles  */

header {
  background-color: var(--background);
  display: flex;
  justify-content: center;
  position: fixed;
  z-index: 999;
  width: 100%;
}

nav {
  position: absolute;
  text-align: left;
  top: 100%;
  left: 0;
  background-color: var(--background);
  width: 100%;
  /* display: none; */
  transform: scale(1, 0);
  transform-origin: top;
  transition: transform 200ms ease-in-out;
}

.nav-toggle {
  display: none;
}

.nav-toggle-label {
  position: absolute;
  top: 0;
  left: 0;
  margin-left: 1em;
  height: 100%;
  display: flex;
  align-items: center;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
  display: block;
  background: var(--foreground);
  height: 2px;
  width: 2em;
  border-radius: 2px;
  position: relative;
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
  content: "";
  position: absolute;
}

.nav-toggle-label span::before {
  bottom: 7px;
}

.nav-toggle-label span::after {
  top: 7px;
}

.nav-toggle:checked ~ nav {
  /* display: block; */
  transform: scale(1, 1);
}
.nav-toggle:checked ~ nav a {
  transition: opacity 100ms ease-in-out 100ms;
  opacity: 1;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li {
  margin-bottom: 1em;
  margin-left: 1em;
}

nav a {
  color: var(--foreground);
  text-decoration: none;
  text-transform: uppercase;
  opacity: 0;
  transition: opacity 100ms ease-in-out;
}

nav a:hover {
  color: var(--foreground);
}

hr {
  margin: 2.25rem 0;
  height: 2px;
  border: none;
  background-color: var(--clr-primary);
}

.testimony {
  font-family: "playfair display";
}

.testimony-text {
  padding-top: 1em;
  text-align: justify;
}

.testimony-portrait {
  width: 150px;
  border-radius: 50%;
}

.float-left {
  float: left;
}

.mib {
  margin-inline: 2em;
  margin-bottom: 1em;
}

.brand {
  /* background-color: var(--background); */
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  margin-top: 60px;
}

.text-center {
  text-align: center;
}

section h2,
section h3,
section h4,
section h5,
section h6 {
  text-align: center;
  /* margin-bottom: 0; */
}

.brand-portrait {
  width: 200px;
  border-radius: 50%;
}

.brand-text {
  margin-inline: 1em;
  text-align: center;
}

.brand-text p,
.brand-text h1 {
  margin-top: 0;
  margin-bottom: 0;
}

.brand-links {
  display: flex;
  justify-items: center;
  margin: 10px 0;
}

.brand-link:hover {
  filter: drop-shadow(1px 1px 2px rgb(0 0 0 / 0.1));
  transform: translate(-1px, -1px);
  transition: transform ease-in-out 5ms;
}

.brand-links-group {
  margin-inline: auto;
  display: flex;
}

.brand-link {
  width: 2.5em;
  height: 2.5em;
  margin-right: 10px;
}

.project-showcase {
}

.button {
  display: inline-block;
  background: none;
  border: 2px solid var(--clr-primary);
  border-radius: 15px;
  text-align: center;
  text-decoration: none;
  color: var(--clr-primary);
  padding: 8px 18px;
  font-size: 1.125rem;
  font-weight: 500;
}

.button:active,
.button:hover {
  background: var(--clr-primary);
  color: var(--clr-light);
  text-decoration: none;
}

.button:active {
  filter: brightness(0.8);
}

.project {
  margin-bottom: 15px;
}

.project-logo {
  width: 3em;
  height: 3em;
  margin-left: auto;
}

.section-header {
  text-decoration: none;
  color: var(--foreground);
}

.tech-list {
  margin-inline: auto;
}

.project-header {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.project-info {
  display: flex;
  justify-items: center;
}

.project-title {
  /* font-weight: 400;
  font-size: 1.25em; */
  margin-left: 0.5em;
  margin-right: auto;
}

.ascii-demo-container {
  display: flex;
  flex-wrap: wrap;
  gap: 1em;
  background-color: var(--clr-dark);
  border-radius: 5em;
  box-shadow: 0 0 10px 2px black;
}

.ascii-demo {
  /* margin-bottom: 1em; */
  display: block;
  margin: 0 auto;
  height: 250px;
  /* width: auto; */
}

.text-icon {
  margin-left: 5px;
  height: 1em;
}

.tech-list {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  margin-top: 6px;
  /* margin-right: auto; */
}

.tech-chip {
  list-style: none;
  display: flex;
  align-items: center;
  background-color: var(--background);
  padding: 8px;
  margin-left: 10px;
  margin-bottom: 10px;
  border-radius: 1.5em;
  text-decoration: none;
  color: var(--foreground);
  /* height: em; */
}

.tech-logo {
  height: 2em;
}
.tech-name {
  margin: 0 0 0 5px;
}

.project-desc {
  text-align: center;
  margin-top: 5px;
}

.margins {
  margin: 1em;
}

.project-demo,
.project-demo-portrait {
  box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.4);
  margin-bottom: 1em;
  display: block;
  margin: 0 auto;
}

.project-demo-portrait {
  height: auto;
  width: 200px;
}

.grad-port {
  border-radius: 1.5em;
  width: 320px;
  display: block;
  margin-inline: auto;
}

/* flex helpers */
.flex,
.flex-wrap,
.align-center,
.align-baseline,
.justify-center {
  display: flex;
}

.justify-center {
  justify-items: center;
}

.inline-auto {
  margin-inline: auto;
}

.align-center {
  align-items: center;
}

.align-baseline {
  align-items: baseline;
}

.flex-wrap {
  flex-wrap: wrap;
}

.justify-left-lg {
  margin-inline: auto;
}

.mi-a {
  margin-inline: auto;
}

.margin-bottom {
  margin-bottom: 1em;
}

section a {
  color: var(--foreground);
  text-decoration: none;
  font-size: 1.125rem;
  /* margin-right: auto; */
  /* margin-left: 10px; */
}

section a:hover {
  text-decoration: underline;
}

.projects-link {
  color: var(--foreground);
  text-decoration: none;
  font-size: 1.125rem;
  margin-right: auto;
  margin-left: 10px;
}

.projects-link:hover {
  text-decoration: underline;
}

@media screen and (min-width: 1040px) {
  .nav-toggle-label {
    display: none;
  }

  .testimony {
    margin-inline: 6em;
  }

  .brand-text {
    text-align: left;
  }

  .brand-links-group {
    margin-left: 0;
  }

  hr {
    margin-inline: -3em;
  }

  .justify-left-lg {
    margin-left: 0;
  }

  .ml-on-lg {
    margin-left: 1em;
  }

  .margin-top {
    margin-top: 1em;
  }

  .mb-0 {
    margin-bottom: 0;
  }

  header {
    display: grid;
    grid-template-columns: 1fr auto 20% auto 1fr;
  }

  .name {
    grid-column: 2 / 3;
  }

  nav {
    all: unset;
    grid-column: 4 / 5;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  nav ul {
    display: flex;
  }

  nav li {
    margin-left: 3em;
    margin-bottom: 0;
  }

  nav a {
    opacity: 1;
    position: relative;
    padding-top: 100%;
    padding-bottom: 7px;
  }

  nav a::after {
    content: "";
    display: block;
    height: 5px;
    background: var(--foreground);
    position: absolute;
    bottom: -0.5em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 100ms;
  }

  nav a:hover::after {
    transform: scale(1, 1);
  }

  .projects-link {
    margin-inline: auto;
  }

  .project-desc {
    text-align: left;
  }

  .project-logo {
    margin-left: 0;
  }

  .project-title {
    margin-right: 0;
  }

  .project-showcase {
    display: flex;
  }

  .grad-port {
    float: left;
    margin-right: 1em;
  }

  .tech-list {
    margin-right: 0;
  }

  .name-letter:hover {
    transform: translateY(-8px);
  }

  .project-demo {
    height: 300px;
  }
}
